Skip to main content
GET
/
calls
Typescript (SDK)
import { Crevio } from "@crevio/sdk";

const crevio = new Crevio({
  apiKey: process.env["CREVIO_API_KEY"] ?? "",
});

async function run() {
  const result = await crevio.calls.list();

  console.log(result);
}

run();
curl --request GET \
--url https://api.crevio.co/v1/calls \
--header 'Authorization: <api-key>'
import requests

url = "https://api.crevio.co/v1/calls"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.crevio.co/v1/calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "object": "list",
  "data": [
    {
      "id": "<string>",
      "object": "<string>",
      "to_number": "<string>",
      "from_number": "<string>",
      "objective": "<string>",
      "summary": "<string>",
      "transcript": "<string>",
      "recording_url": "<string>",
      "ended_reason": "<string>",
      "duration_seconds": 123,
      "credits_charged": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "customer": "<string>"
    }
  ],
  "has_more": true,
  "url": "<string>"
}
{
"error": {
"type": "invalid_request_error",
"code": "bad_request",
"message": "The request was malformed or contained invalid parameters"
}
}
{
"error": {
"type": "invalid_request_error",
"code": "authentication_required",
"message": "You did not provide an API key."
}
}
{
"error": {
"type": "invalid_request_error",
"code": "forbidden",
"message": "You do not have permission to perform this action"
}
}
{
"error": {
"type": "invalid_request_error",
"code": "resource_missing",
"message": "The requested resource was not found"
}
}
{
"error": {
"type": "validation_error",
"code": "validation_failed",
"message": "Email is required",
"errors": {
"email": [
"can't be blank"
]
}
}
}
{
"error": {
"type": "api_error",
"code": "internal_error",
"message": "An unexpected error occurred"
}
}

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Query Parameters

direction
enum<string>

Filter by direction: inbound or outbound.

Available options:
inbound,
outbound
status
string

Filter by status: queued, ringing, in_progress, ended, failed.

Response

List of calls

object
enum<string>
required
Available options:
list
data
object[]
required
has_more
boolean
required
url
string
required